import React, { useState, useRef, useEffect, useMemo, useCallback } from "react";
import {
    useRecordContext,
} from 'react-admin';
import { Box, Typography, Card, Stack, Tooltip } from '@mui/material';
import { useTheme } from '@mui/material/styles';

const MyField = ({ source, onClick }) => {
    const record = useRecordContext();
    const theme = useTheme();

    return record ? (
        <Box

        >
            <Typography
                variant="body2"
            >
                <Tooltip title={record[source]} placement="top">
                    <span>{record[source]}</span>
                </Tooltip>

            </Typography >
        </Box>
    ) : null;
}

export default MyField;